Annonce

  •  » Plugins
  •  » problème de version Msql ou PHP avec le plugin additionnal pages

#1 2020-06-09 15:31:04

Klavin
Membre
2020-05-06
19

problème de version Msql ou PHP avec le plugin additionnal pages

Bonjour/Bonsoir,

J'ai testé ma galerie sur un serveur Lamp et j'ai un souci dès que j'active le plugin additional pages. Existe-il une correction à ce problème qui doit être connu, la même galerie sous serveur Wamp fonctionne correctement :

Warning:  [mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups IS NULL OR groups REGEXP CONCAT("(^|,)",group_id,"(,|$)"))
  AND level <=' at line 7
SELECT DISTINCT id, title, permalink
FROM piwigo_additionalpages
LEFT JOIN piwigo_user_group
  ON user_id = 1
WHERE (lang IS NULL OR lang = "fr_FR")
  AND (users IS NULL OR users LIKE "%webmaster%")
  AND (groups IS NULL OR groups REGEXP CONCAT("(^|,)",group_id,"(,|$)"))
  AND level <= 8
  AND pos >= 0
ORDER BY pos ASC
; in /var/www/html/klavind/include/dblayer/functions_mysqli.inc.php on line 856


Fatal error: Uncaught Error: Call to a member function fetch_assoc() on bool in /var/www/html/klavind/include/dblayer/functions_mysqli.inc.php:220 Stack trace: #0 /var/www/html/klavind/plugins/AdditionalPages/main.inc.php(124): pwg_db_fetch_assoc() #1 /var/www/html/klavind/include/functions_plugins.inc.php(264): ap_apply() #2 /var/www/html/klavind/include/block.class.php(181): trigger_notify() #3 /var/www/html/klavind/include/menubar.inc.php(342): BlockManager->apply() #4 /var/www/html/klavind/include/menubar.inc.php(15): initialize_menu() #5 /var/www/html/klavind/index.php(103): include('/var/www/html/k...') #6 {main} thrown in /var/www/html/klavind/include/dblayer/functions_mysqli.inc.php on line 220


    Piwigo 2.10.2 Dernière version
    Système d'exploitation: Linux
    PHP: 7.4.6 (Montrer les informations) [2020-06-09 15:21:34]
    MySQL: 8.0.20-0ubuntu0.20.04.1 [2020-06-09 15:21:34]
    Bibliothèque graphique: GD 2.3.0

Hors ligne

#2 2020-07-17 11:48:25

Klavin
Membre
2020-05-06
19

Re: problème de version Msql ou PHP avec le plugin additionnal pages

Je relance le sujet:  qui peut me dire quelle est la version PHP ou MySql compatible du plugin additionnal pages sachant que UBUNTU 20.04.1 est  en PHP 7.4.6 et MySQL est en 8.0.20 par défaut.

Merci

Hors ligne

  •  » Plugins
  •  » problème de version Msql ou PHP avec le plugin additionnal pages

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2021 · Contact